use std::{error::Error, fmt::Display};

#[derive(Debug)]
pub enum RoctreeError {
    SplitPlaneError,
}

impl Error for RoctreeError {}

impl Display for RoctreeError {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        match self {
            RoctreeError::SplitPlaneError => write!(
                f,
                "Failed to get split plane, centroids overlap along longest axis"
            ),
        }
    }
}
